%define	name		mysqlpp
%define version		2.0.5
%define release		1mdk

%define major		2
%define libname_orig	%mklibname %{name}
%define libname		%{libname_orig}%{major}

%define	_includedir	%{_prefix}/include/sqlplus

Summary:	C++ wrapper for MySQL's C API
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Databases
URL:		http://tangentsoft.net/mysql++/
Source0:	http://tangentsoft.net/mysql++/releases/mysql++-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	MySQL-devel

%description
MySQL++ is a C++ wrapper for MySQL's C API. It is built around STL 
principles, to make dealing with the database as easy as dealing with an 
STL container.

%package	-n %{libname}
Summary:	C++ wrapper for MySQL's C API
Group:		System/Libraries
Provides:	%{libname_orig}

%description	-n %{libname}
MySQL++ is a C++ wrapper for MySQL's C API. It is built around STL 
principles, to make dealing with the database as easy as dealing with an 
STL container.

%package	-n %{libname}-devel
Summary:	Development files for MySQL++
Group:		Development/Databases
Provides:	%{libname_orig}-devel
Requires:	%{libname} = %{epoch}:%{version}

%description	-n %{libname}-devel
This package contains static libraries and headers of MySQL++ which are
useful when you develop or compile any applications/libraries using
MySQL C++ interface.

%prep
%setup -q -n mysql++-%{version}
find . -type d -name CVS | xargs %{__rm} -rf

%build
%configure --with-mysql-lib=%{_libdir} --enable-static
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(0644,root,root,0755)
%doc COPYING CREDITS ChangeLog HACKERS LICENSE README.* Wishlist doc
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(0644,root,root,0755)
%doc examples/{README,*.{cpp,h},Makefile.simple}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Mon Sep 26 2005 David Walluck <walluck@mandriva.org> 0:2.0.5-1mdk
- release
